unit IMP_DQE2_types;
interface
uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  StdActns,
  ToolWin,
  ImgList,
  ExtCtrls,
  jpeg,
  inifiles,
  types,
  math,
  mmsystem,
  jvGif,
  JvTimer,
  AsphyreDevices,
  AsphyreDef,
  AsphyreCanvas,
  AsphyreImages,
  AsphyreFontsAlt,
  AsphyreTextures,
  AsphyreBmpLoad,
  AsphyrePNG,
  Asphyre2D,
  BASE_PARSER,
  PaxScripter,
  PaxPascal,
  BASE_SCRIPTER,
  BASE_CODE,
  BASE_CLASS,
  BASE_SYMBOL,
  BASE_SYS,
  gameplayer,
  alkatraz,
  stream_ex,
  Bradis,
  IMP_System,
  IMP_Math,
  IMP_SysUtils,
  IMP_Classes,
  IMP_GamePlayer,
  IMP_AsphyreDef,
  DQE2_types,
  BASE_EXTERN;
procedure RegisterIMP_DQE2_types;
implementation
function DQE2_Dummy__GetTagData(Self:DQE2_Dummy):Pointer;
begin
  result := Self.TagData;
end;
procedure DQE2_Dummy__PutTagData(Self:DQE2_Dummy;const Value: Pointer);
begin
  Self.TagData := Value;
end;
function DQE2_Sprite__GetDefaultName(Self:DQE2_Sprite):string;
begin
  result := Self.DefaultName;
end;
procedure DQE2_Sprite__PutDefaultName(Self:DQE2_Sprite;const Value: string);
begin
  Self.DefaultName := Value;
end;
function DQE2_Sprite__GetDefaultTransparent(Self:DQE2_Sprite):boolean;
begin
  result := Self.DefaultTransparent;
end;
procedure DQE2_Sprite__PutDefaultTransparent(Self:DQE2_Sprite;const Value: boolean);
begin
  Self.DefaultTransparent := Value;
end;
function DQE2_Sprite__GetDefaultCollider(Self:DQE2_Sprite):Boolean;
begin
  result := Self.DefaultCollider;
end;
procedure DQE2_Sprite__PutDefaultCollider(Self:DQE2_Sprite;const Value: Boolean);
begin
  Self.DefaultCollider := Value;
end;
function DQE2_Sprite__GetDefaultAlpha(Self:DQE2_Sprite):byte;
begin
  result := Self.DefaultAlpha;
end;
procedure DQE2_Sprite__PutDefaultAlpha(Self:DQE2_Sprite;const Value: byte);
begin
  Self.DefaultAlpha := Value;
end;
function DQE2_Sprite__GetDefaultAnimSpeed(Self:DQE2_Sprite):ShortInt;
begin
  result := Self.DefaultAnimSpeed;
end;
procedure DQE2_Sprite__PutDefaultAnimSpeed(Self:DQE2_Sprite;const Value: ShortInt);
begin
  Self.DefaultAnimSpeed := Value;
end;
function DQE2_Sprite__GetSingleFrame(Self:DQE2_Sprite):boolean;
begin
  result := Self.SingleFrame;
end;
function DQE2_Sprite__GetImages(Self:DQE2_Sprite):TAsphyreImages;
begin
  result := Self.Images;
end;
function DQE2_Sprite__GetThumbnail(Self:DQE2_Sprite):TBitmap;
begin
  result := Self.Thumbnail;
end;
function DQE2_Sprite__GetLoaded(Self:DQE2_Sprite):Boolean;
begin
  result := Self.Loaded;
end;
function DQE2_Sprite__GetTransparentColor(Self:DQE2_Sprite):TColor;
begin
  result := Self.TransparentColor;
end;
function DQE2_Sprite__GetTimesUsed(Self:DQE2_Sprite):integer;
begin
  result := Self.TimesUsed;
end;
function DQE2_Sprite__GetINI(Self:DQE2_Sprite):TIniFile;
begin
  result := Self.INI;
end;
function DQE2_Sprite__GetShortName(Self:DQE2_Sprite):string;
begin
  result := Self.ShortName;
end;
function DQE2_Sprite__GetHeight(Self:DQE2_Sprite):Word;
begin
  result := Self.Height;
end;
function DQE2_Sprite__GetWidth(Self:DQE2_Sprite):Word;
begin
  result := Self.Width;
end;
procedure DQE2_Sprite_Prepare(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsBoolean := DQE2_Sprite(Self).Prepare(Params[0].AsString);
end;
procedure DQE2_Sprite_Load(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Sprite(Self).Load();
end;
procedure DQE2_Graphical_SaveState(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Graphical(Self).SaveState();
end;
procedure DQE2_Graphical_LoadState(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Graphical(Self).LoadState();
end;
function DQE2_Graphical__GetSprite(Self:DQE2_Graphical):DQE2_Sprite;
begin
  result := Self.Sprite;
end;
procedure DQE2_Graphical__PutSprite(Self:DQE2_Graphical;const Value: DQE2_Sprite);
begin
  Self.Sprite := Value;
end;
function DQE2_Graphical__GetState(Self:DQE2_Graphical):DQE2_ObjectState;
begin
  result := Self.State;
end;
procedure DQE2_Graphical__PutState(Self:DQE2_Graphical;const Value: DQE2_ObjectState);
begin
  Self.State := Value;
end;
procedure DQE2_Graphical_Step(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Graphical(Self).Step();
end;
procedure DQE2_Graphical_PixelCollision(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsBoolean := DQE2_Graphical(Self).PixelCollision(Params[0].AsInteger,Params[1].AsInteger);
end;
function DQE2_List__GetItems(Self:DQE2_List;Index:Integer):TCollectionItem;
begin
  result := Self.Items[Index];
end;
procedure DQE2_List__PutItems(Self:DQE2_List;Index:Integer;const Value: TCollectionItem);
begin
  Self.Items[Index] := Value;
end;
procedure DQE2_Zone_SetNewPos(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Zone(Self).SetNewPos(Params[0].PValue^,Params[1].PValue^,Params[2].PValue^,Params[3].PValue^);
end;
function DQE2_Zone__GetColor(Self:DQE2_Zone):TColor;
begin
  result := Self.Color;
end;
procedure DQE2_Zone__PutColor(Self:DQE2_Zone;const Value: TColor);
begin
  Self.Color := Value;
end;
function DQE2_Zone__GetLeft(Self:DQE2_Zone):word;
begin
  result := Self.Left;
end;
function DQE2_Zone__GetTop(Self:DQE2_Zone):word;
begin
  result := Self.Top;
end;
function DQE2_Zone__GetBottom(Self:DQE2_Zone):word;
begin
  result := Self.Bottom;
end;
function DQE2_Zone__GetRight(Self:DQE2_Zone):word;
begin
  result := Self.Right;
end;
function DQE2_Zone__GetHeight(Self:DQE2_Zone):word;
begin
  result := Self.Height;
end;
function DQE2_Zone__GetWidth(Self:DQE2_Zone):word;
begin
  result := Self.Width;
end;
function DQE2_Zone__GetStartScripts(Self:DQE2_Zone):TList;
begin
  result := Self.StartScripts;
end;
function DQE2_Zone__GetObjects(Self:DQE2_Zone):TList;
begin
  result := Self.Objects;
end;
function DQE2_Zone__GetThumbnail(Self:DQE2_Zone):TBitmap;
begin
  result := Self.Thumbnail;
end;
function DQE2_Zone__GetDisableEnvironment(Self:DQE2_Zone):boolean;
begin
  result := Self.DisableEnvironment;
end;
procedure DQE2_Zone__PutDisableEnvironment(Self:DQE2_Zone;const Value: boolean);
begin
  Self.DisableEnvironment := Value;
end;
function DQE2_Zone__GetEnvironment(Self:DQE2_Zone):TGPStore;
begin
  result := Self.Environment;
end;
procedure DQE2_Zone__PutEnvironment(Self:DQE2_Zone;const Value: TGPStore);
begin
  Self.Environment := Value;
end;
function DQE2_Zone__GetTagRect(Self:DQE2_Zone):TRect;
begin
  result := Self.TagRect;
end;
procedure DQE2_Zone__PutTagRect(Self:DQE2_Zone;const Value: TRect);
begin
  Self.TagRect := Value;
end;
function DQE2_Zone__GetPreRenderZone(Self:DQE2_Zone):DQE2_Zone;
begin
  result := Self.PreRenderZone;
end;
procedure DQE2_Zone__PutPreRenderZone(Self:DQE2_Zone;const Value: DQE2_Zone);
begin
  Self.PreRenderZone := Value;
end;
function DQE2_Zone__GetBackSpeed(Self:DQE2_Zone):Smallint;
begin
  result := Self.BackSpeed;
end;
procedure DQE2_Zone__PutBackSpeed(Self:DQE2_Zone;const Value: Smallint);
begin
  Self.BackSpeed := Value;
end;
function DQE2_Zone__GetBackOffsetX(Self:DQE2_Zone):Smallint;
begin
  result := Self.BackOffsetX;
end;
procedure DQE2_Zone__PutBackOffsetX(Self:DQE2_Zone;const Value: Smallint);
begin
  Self.BackOffsetX := Value;
end;
function DQE2_Zone__GetBackOffsetY(Self:DQE2_Zone):Smallint;
begin
  result := Self.BackOffsetY;
end;
procedure DQE2_Zone__PutBackOffsetY(Self:DQE2_Zone;const Value: Smallint);
begin
  Self.BackOffsetY := Value;
end;
procedure DQE2_Item_Step(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Item(Self).Step();
end;
procedure DQE2_Item_PutInBag(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Item(Self).PutInBag();
end;
procedure DQE2_Item_Drop(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Item(Self).Drop();
end;
procedure DQE2_Item_BringToFront(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Item(Self).BringToFront();
end;
procedure DQE2_Item_SendToBack(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Item(Self).SendToBack();
end;
function DQE2_Scriptable__GetChanged(Self:DQE2_Scriptable):boolean;
begin
  result := Self.Changed;
end;
function DQE2_Scriptable__GetLastError(Self:DQE2_Scriptable):DQE2_Error;
begin
  result := Self.LastError;
end;
function DQE2_Scriptable__GetDefaultIgnore(Self:DQE2_Scriptable):boolean;
begin
  result := Self.DefaultIgnore;
end;
procedure DQE2_Scriptable__PutDefaultIgnore(Self:DQE2_Scriptable;const Value: boolean);
begin
  Self.DefaultIgnore := Value;
end;
procedure DQE2_Scriptable_Run(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsBoolean := DQE2_Scriptable(Self).Run();
end;
procedure DQE2_Scriptable_Stop(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Scriptable(Self).Stop();
end;
function DQE2_Scriptable__GetBreakpoints(Self:DQE2_Scriptable;Index:Integer):Integer;
begin
  result := Self.Breakpoints[Index];
end;
procedure DQE2_Scriptable_ClearBreakpoints(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Scriptable(Self).ClearBreakpoints();
end;
procedure DQE2_Scriptable_AddBreakpoint(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Scriptable(Self).AddBreakpoint(Params[0].AsInteger);
end;
procedure DQE2_Scriptable_RemoveBreakpoint(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Scriptable(Self).RemoveBreakpoint(Params[0].AsInteger);
end;
function DQE2_Scriptable__GetBreakpointsCount(Self:DQE2_Scriptable):integer;
begin
  result := Self.BreakpointsCount;
end;
function DQE2_Scriptable__GetInDebug(Self:DQE2_Scriptable):boolean;
begin
  result := Self.InDebug;
end;
function DQE2_Script__GetPassCount(Self:DQE2_Script):integer;
begin
  result := Self.PassCount;
end;
procedure DQE2_Script_Step(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsBoolean := DQE2_Script(Self).Step();
end;
procedure DQE2_Script_Stop(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Script(Self).Stop();
end;
procedure DQE2_Script_OnPostRender(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsBoolean := DQE2_Script(Self).OnPostRender();
end;
procedure DQE2_Script_OnPreRender(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsBoolean := DQE2_Script(Self).OnPreRender();
end;
function DQE2_Script__GetSuspended(Self:DQE2_Script):boolean;
begin
  result := Self.Suspended;
end;
procedure DQE2_Script__PutSuspended(Self:DQE2_Script;const Value: boolean);
begin
  Self.Suspended := Value;
end;
procedure DQE2_Script_GetCurrentStdFunctionName(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsString := DQE2_Script(Self).GetCurrentStdFunctionName();
end;
procedure DQE2_Object_SaveState(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Object(Self).SaveState();
end;
procedure DQE2_Object_LoadState(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Object(Self).LoadState();
end;
procedure DQE2_Object_Step(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Object(Self).Step();
end;
procedure DQE2_Object_SendToBack(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Object(Self).SendToBack();
end;
procedure DQE2_Object_BringToFront(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Object(Self).BringToFront();
end;
function DQE2_Object__GetInZoneIndex(Self:DQE2_Object):integer;
begin
  result := Self.InZoneIndex;
end;
procedure DQE2_EntityType_CreateState(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.PValue^ := DQE2_EntityType(Self).CreateState();
end;
function DQE2_EntityType__GetCompiled(Self:DQE2_EntityType):boolean;
begin
  result := Self.Compiled;
end;
function DQE2_Entity__GetPassCount(Self:DQE2_Entity):integer;
begin
  result := Self.PassCount;
end;
function DQE2_Entity__GetRunning(Self:DQE2_Entity):boolean;
begin
  result := Self.Running;
end;
procedure DQE2_Entity_Run(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Entity(Self).Run();
end;
procedure DQE2_Entity_Step(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Entity(Self).Step();
end;
procedure DQE2_Entity_Die(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Entity(Self).Die();
end;
procedure DQE2_Entity_Stop(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Entity(Self).Stop();
end;
function DQE2_Entity__GetScriptState(Self:DQE2_Entity):TPAXScriptObject;
begin
  result := Self.ScriptState;
end;
procedure DQE2_Entity_SaveState(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Entity(Self).SaveState();
end;
procedure DQE2_Entity_LoadState(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Entity(Self).LoadState();
end;
procedure DQE2_Bag_Run(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Bag(Self).Run(Params[0].AsInteger);
end;
procedure DQE2_Bag_Step(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsInteger := DQE2_Bag(Self).Step();
end;
procedure DQE2_Bag_Stop(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Bag(Self).Stop();
end;
function DQE2_Bag__GetItems(Self:DQE2_Bag):TList;
begin
  result := Self.Items;
end;
procedure DQE2_Player_Step(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Player(Self).Step();
end;
function DQE2_Player__GetBag(Self:DQE2_Player):DQE2_Bag;
begin
  result := Self.Bag;
end;
function DQE2_Player__GetFootHold(Self:DQE2_Player):DQE2_Object;
begin
  result := Self.FootHold;
end;
procedure DQE2_Dialog_Run(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsBoolean := DQE2_Dialog(Self).Run();
end;
procedure DQE2_Dialog_Step(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Dialog(Self).Step();
end;
function DQE2_Dialog__GetQuestions(Self:DQE2_Dialog):TStringList;
begin
  result := Self.Questions;
end;
function DQE2_Dialog__GetAnswersCount(Self:DQE2_Dialog):integer;
begin
  result := Self.AnswersCount;
end;
function DQE2_Dialog__GetAnswersShort(Self:DQE2_Dialog;Index:integer):string;
begin
  result := Self.AnswersShort[Index];
end;
procedure DQE2_Dialog__PutAnswersShort(Self:DQE2_Dialog;Index:integer;const Value: string);
begin
  Self.AnswersShort[Index] := Value;
end;
function DQE2_Dialog__GetAnswersLong(Self:DQE2_Dialog;Index:integer):string;
begin
  result := Self.AnswersLong[Index];
end;
procedure DQE2_Dialog__PutAnswersLong(Self:DQE2_Dialog;Index:integer;const Value: string);
begin
  Self.AnswersLong[Index] := Value;
end;
procedure DQE2_Dialog_Stop(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_Dialog(Self).Stop();
end;
procedure DQE2_Dialog_AddAnswer(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsInteger := DQE2_Dialog(Self).AddAnswer(Params[0].AsString,Params[1].AsString);
end;
procedure DQE2_Dialog_DeleteAnswer(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsInteger := DQE2_Dialog(Self).DeleteAnswer(Params[0].AsInteger);
end;
function DQE2_Font__GetFont(Self:DQE2_Font):TAsphyreFontAlt;
begin
  result := Self.Font;
end;
procedure DQE2_World_MakeCache(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).MakeCache();
end;
procedure DQE2_World_DeleteCache(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).DeleteCache();
end;
procedure DQE2_World_SaveThumbnails(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).SaveThumbnails();
end;
function DQE2_World__GetCurrentScript(Self:DQE2_World):DQE2_Script;
begin
  result := Self.CurrentScript;
end;
function DQE2_World__GetCurrentDialog(Self:DQE2_World):DQE2_Dialog;
begin
  result := Self.CurrentDialog;
end;
function DQE2_World__GetCurrentEntity(Self:DQE2_World):DQE2_Entity;
begin
  result := Self.CurrentEntity;
end;
function DQE2_World__GetRunningScripts(Self:DQE2_World):TList;
begin
  result := Self.RunningScripts;
end;
function DQE2_World__GetState(Self:DQE2_World):DQE2_WorldState;
begin
  result := Self.State;
end;
function DQE2_World__GetOffsetX(Self:DQE2_World):Integer;
begin
  result := Self.OffsetX;
end;
procedure DQE2_World__PutOffsetX(Self:DQE2_World;const Value: Integer);
begin
  Self.OffsetX := Value;
end;
function DQE2_World__GetOffsetY(Self:DQE2_World):Integer;
begin
  result := Self.OffsetY;
end;
procedure DQE2_World__PutOffsetY(Self:DQE2_World;const Value: Integer);
begin
  Self.OffsetY := Value;
end;
function DQE2_World__GetDevice(Self:DQE2_World):TAsphyreDevice;
begin
  result := Self.Device;
end;
function DQE2_World__GetCanvas(Self:DQE2_World):TAsphyreCanvas;
begin
  result := Self.Canvas;
end;
function DQE2_World__GetObjects(Self:DQE2_World):DQE2_List;
begin
  result := Self.Objects;
end;
function DQE2_World__GetSprites(Self:DQE2_World):DQE2_List;
begin
  result := Self.Sprites;
end;
function DQE2_World__GetZones(Self:DQE2_World):DQE2_List;
begin
  result := Self.Zones;
end;
function DQE2_World__GetDialogs(Self:DQE2_World):DQE2_List;
begin
  result := Self.Dialogs;
end;
function DQE2_World__GetScripts(Self:DQE2_World):DQE2_List;
begin
  result := Self.Scripts;
end;
function DQE2_World__GetItems(Self:DQE2_World):DQE2_List;
begin
  result := Self.Items;
end;
function DQE2_World__GetFonts(Self:DQE2_World):DQE2_List;
begin
  result := Self.Fonts;
end;
function DQE2_World__GetEffects(Self:DQE2_World):DQE2_List;
begin
  result := Self.Effects;
end;
function DQE2_World__GetEntityTypes(Self:DQE2_World):DQE2_List;
begin
  result := Self.EntityTypes;
end;
function DQE2_World__GetCurrentZone(Self:DQE2_World):DQE2_Zone;
begin
  result := Self.CurrentZone;
end;
procedure DQE2_World__PutCurrentZone(Self:DQE2_World;const Value: DQE2_Zone);
begin
  Self.CurrentZone := Value;
end;
function DQE2_World__GetImageList(Self:DQE2_World):TStringList;
begin
  result := Self.ImageList;
end;
function DQE2_World__GetPlayer(Self:DQE2_World):DQE2_Player;
begin
  result := Self.Player;
end;
function DQE2_World__GetMusicPlayer(Self:DQE2_World):TGamePlayer;
begin
  result := Self.MusicPlayer;
end;
function DQE2_World__GetScreenWidth(Self:DQE2_World):word;
begin
  result := Self.ScreenWidth;
end;
function DQE2_World__GetScreenHeight(Self:DQE2_World):word;
begin
  result := Self.ScreenHeight;
end;
procedure DQE2_World_LoadSkin(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).LoadSkin(Params[0].AsString);
end;
procedure DQE2_World_Step(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).Step();
end;
function DQE2_World__GetKeyboardState(Self:DQE2_World):TKeyboardState;
begin
  result := Self.KeyboardState;
end;
function DQE2_World__GetJoyInfo(Self:DQE2_World):TJoyInfoEx;
begin
  result := Self.JoyInfo;
end;
function DQE2_World__GetSharedDir(Self:DQE2_World):string;
begin
  result := Self.SharedDir;
end;
procedure DQE2_World__PutSharedDir(Self:DQE2_World;const Value: string);
begin
  Self.SharedDir := Value;
end;
function DQE2_World__GetKeyUp(Self:DQE2_World):boolean;
begin
  result := Self.KeyUp;
end;
procedure DQE2_World__PutKeyUp(Self:DQE2_World;const Value: boolean);
begin
  Self.KeyUp := Value;
end;
function DQE2_World__GetKeyDown(Self:DQE2_World):boolean;
begin
  result := Self.KeyDown;
end;
procedure DQE2_World__PutKeyDown(Self:DQE2_World;const Value: boolean);
begin
  Self.KeyDown := Value;
end;
function DQE2_World__GetKeyLeft(Self:DQE2_World):boolean;
begin
  result := Self.KeyLeft;
end;
procedure DQE2_World__PutKeyLeft(Self:DQE2_World;const Value: boolean);
begin
  Self.KeyLeft := Value;
end;
function DQE2_World__GetKeyRight(Self:DQE2_World):boolean;
begin
  result := Self.KeyRight;
end;
procedure DQE2_World__PutKeyRight(Self:DQE2_World;const Value: boolean);
begin
  Self.KeyRight := Value;
end;
function DQE2_World__GetKeyFire(Self:DQE2_World):boolean;
begin
  result := Self.KeyFire;
end;
procedure DQE2_World__PutKeyFire(Self:DQE2_World;const Value: boolean);
begin
  Self.KeyFire := Value;
end;
function DQE2_World__GetKeyCancel(Self:DQE2_World):boolean;
begin
  result := Self.KeyCancel;
end;
procedure DQE2_World__PutKeyCancel(Self:DQE2_World;const Value: boolean);
begin
  Self.KeyCancel := Value;
end;
function DQE2_World__GetKeyJump(Self:DQE2_World):boolean;
begin
  result := Self.KeyJump;
end;
procedure DQE2_World__PutKeyJump(Self:DQE2_World;const Value: boolean);
begin
  Self.KeyJump := Value;
end;
function DQE2_World__GetKeysReady(Self:DQE2_World):boolean;
begin
  result := Self.KeysReady;
end;
procedure DQE2_World__PutKeysReady(Self:DQE2_World;const Value: boolean);
begin
  Self.KeysReady := Value;
end;
procedure DQE2_World_Clear(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).Clear(Params[0].AsBoolean);
end;
procedure DQE2_World_LoadSprites(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).LoadSprites(Params[0].AsBoolean);
end;
procedure DQE2_World_SaveToFile(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).SaveToFile(Params[0].AsString);
end;
procedure DQE2_World_Build(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).Build(Params[0].AsString,Params[1].AsString);
end;
procedure DQE2_World_Play(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).Play();
end;
procedure DQE2_World_Pause(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).Pause();
end;
procedure DQE2_World_Stop(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).Stop();
end;
procedure DQE2_World_PackRunningScripts(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).PackRunningScripts();
end;
procedure DQE2_World_PackItems(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).PackItems();
end;
procedure DQE2_World_WriteVar(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).WriteVar(Params[0].AsString,Params[1].PValue^);
end;
procedure DQE2_World_ReadVar(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.PValue^ := DQE2_World(Self).ReadVar(Params[0].AsString);
end;
procedure DQE2_World_VarExists(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
   result.AsBoolean := DQE2_World(Self).VarExists(Params[0].AsString);
end;
procedure DQE2_World_DeleteVar(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).DeleteVar(Params[0].AsString);
end;
function DQE2_World__GetSkinName(Self:DQE2_World):string;
begin
  result := Self.SkinName;
end;
function DQE2_World__GetVarNames(Self:DQE2_World;Index:integer):string;
begin
  result := Self.VarNames[Index];
end;
function DQE2_World__GetVarValues(Self:DQE2_World;Index:integer):string;
begin
  result := Self.VarValues[Index];
end;
function DQE2_World__GetVarCount(Self:DQE2_World):integer;
begin
  result := Self.VarCount;
end;
function DQE2_World__GetVideoOptions(Self:DQE2_World):DQE2_VideoOptions;
begin
  result := Self.VideoOptions;
end;
procedure DQE2_World__PutVideoOptions(Self:DQE2_World;const Value: DQE2_VideoOptions);
begin
  Self.VideoOptions := Value;
end;
function DQE2_World__GetControlOptions(Self:DQE2_World):DQE2_ControlOptions;
begin
  result := Self.ControlOptions;
end;
procedure DQE2_World__PutControlOptions(Self:DQE2_World;const Value: DQE2_ControlOptions);
begin
  Self.ControlOptions := Value;
end;
function DQE2_World__GetSkinOptions(Self:DQE2_World):DQE2_SkinOptions;
begin
  result := Self.SkinOptions;
end;
function DQE2_World__GetFontPersonName(Self:DQE2_World):DQE2_Font;
begin
  result := Self.FontPersonName;
end;
procedure DQE2_World__PutFontPersonName(Self:DQE2_World;const Value: DQE2_Font);
begin
  Self.FontPersonName := Value;
end;
function DQE2_World__GetFontQuestion(Self:DQE2_World):DQE2_Font;
begin
  result := Self.FontQuestion;
end;
procedure DQE2_World__PutFontQuestion(Self:DQE2_World;const Value: DQE2_Font);
begin
  Self.FontQuestion := Value;
end;
function DQE2_World__GetFontAnswer(Self:DQE2_World):DQE2_Font;
begin
  result := Self.FontAnswer;
end;
procedure DQE2_World__PutFontAnswer(Self:DQE2_World;const Value: DQE2_Font);
begin
  Self.FontAnswer := Value;
end;
function DQE2_World__GetFontItemName(Self:DQE2_World):DQE2_Font;
begin
  result := Self.FontItemName;
end;
procedure DQE2_World__PutFontItemName(Self:DQE2_World;const Value: DQE2_Font);
begin
  Self.FontItemName := Value;
end;
function DQE2_World__GetFontItemText(Self:DQE2_World):DQE2_Font;
begin
  result := Self.FontItemText;
end;
procedure DQE2_World__PutFontItemText(Self:DQE2_World;const Value: DQE2_Font);
begin
  Self.FontItemText := Value;
end;
function DQE2_World__GetINI(Self:DQE2_World):TIniFile;
begin
  result := Self.INI;
end;
function DQE2_World__GetCanSave(Self:DQE2_World):boolean;
begin
  result := Self.CanSave;
end;
function DQE2_World__GetSoundWalk(Self:DQE2_World):TGPMusic;
begin
  result := Self.SoundWalk;
end;
procedure DQE2_World__PutSoundWalk(Self:DQE2_World;const Value: TGPMusic);
begin
  Self.SoundWalk := Value;
end;
function DQE2_World__GetSoundJump(Self:DQE2_World):TGPMusic;
begin
  result := Self.SoundJump;
end;
procedure DQE2_World__PutSoundJump(Self:DQE2_World;const Value: TGPMusic);
begin
  Self.SoundJump := Value;
end;
function DQE2_World__GetSoundWound(Self:DQE2_World):TGPMusic;
begin
  result := Self.SoundWound;
end;
procedure DQE2_World__PutSoundWound(Self:DQE2_World;const Value: TGPMusic);
begin
  Self.SoundWound := Value;
end;
function DQE2_World__GetSoundDie(Self:DQE2_World):TGPMusic;
begin
  result := Self.SoundDie;
end;
procedure DQE2_World__PutSoundDie(Self:DQE2_World;const Value: TGPMusic);
begin
  Self.SoundDie := Value;
end;
procedure DQE2_World_StopAllPlayerSounds(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_World(Self).StopAllPlayerSounds();
end;
function DQE2_World__GetUseCache(Self:DQE2_World):boolean;
begin
  result := Self.UseCache;
end;
procedure DQE2_World__PutUseCache(Self:DQE2_World;const Value: boolean);
begin
  Self.UseCache := Value;
end;
function DQE2_World__GetGameSpeed(Self:DQE2_World):byte;
begin
  result := Self.GameSpeed;
end;
procedure DQE2_World__PutGameSpeed(Self:DQE2_World;const Value: byte);
begin
  Self.GameSpeed := Value;
end;
function DQE2_World__GetKeyPressed(Self:DQE2_World;Index:Integer):boolean;
begin
  result := Self.KeyPressed[Index];
end;
procedure _AddAnswer(MethodBody: TPAXMethodBody);
begin
  with MethodBody do
DQE2_types.AddAnswer(Params[0].AsInteger);
end;
procedure RegisterIMP_DQE2_types;
var H: Integer;
begin
  H := -1;
  // Begin of class DQE2_Dummy
  RegisterClassType(DQE2_Dummy, H);
  RegisterMethod(DQE2_Dummy,
       'constructor Create(Collection:TCollection);override;',
       @DQE2_Dummy.Create);
  RegisterMethod(DQE2_Dummy,
       'function DQE2_Dummy__GetTagData(Self:DQE2_Dummy):Pointer;',
       @DQE2_Dummy__GetTagData, true);
  RegisterMethod(DQE2_Dummy,
       'procedure DQE2_Dummy__PutTagData(Self:DQE2_Dummy;const Value: Pointer);',
       @DQE2_Dummy__PutTagData, true);
  RegisterProperty(DQE2_Dummy,
       'property TagData:Pointer read DQE2_Dummy__GetTagData write DQE2_Dummy__PutTagData;');
  RegisterMethod(DQE2_Dummy,
       'procedure Assign(Src: TPersistent);',
       @DQE2_Dummy.Assign);
  // End of class DQE2_Dummy
  // Begin of class DQE2_Sprite
  RegisterClassType(DQE2_Sprite, H);
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetDefaultName(Self:DQE2_Sprite):string;',
       @DQE2_Sprite__GetDefaultName, true);
  RegisterMethod(DQE2_Sprite,
       'procedure DQE2_Sprite__PutDefaultName(Self:DQE2_Sprite;const Value: string);',
       @DQE2_Sprite__PutDefaultName, true);
  RegisterProperty(DQE2_Sprite,
       'property DefaultName:string read DQE2_Sprite__GetDefaultName write DQE2_Sprite__PutDefaultName;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetDefaultTransparent(Self:DQE2_Sprite):boolean;',
       @DQE2_Sprite__GetDefaultTransparent, true);
  RegisterMethod(DQE2_Sprite,
       'procedure DQE2_Sprite__PutDefaultTransparent(Self:DQE2_Sprite;const Value: boolean);',
       @DQE2_Sprite__PutDefaultTransparent, true);
  RegisterProperty(DQE2_Sprite,
       'property DefaultTransparent:boolean read DQE2_Sprite__GetDefaultTransparent write DQE2_Sprite__PutDefaultTransparent;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetDefaultCollider(Self:DQE2_Sprite):Boolean;',
       @DQE2_Sprite__GetDefaultCollider, true);
  RegisterMethod(DQE2_Sprite,
       'procedure DQE2_Sprite__PutDefaultCollider(Self:DQE2_Sprite;const Value: Boolean);',
       @DQE2_Sprite__PutDefaultCollider, true);
  RegisterProperty(DQE2_Sprite,
       'property DefaultCollider:Boolean read DQE2_Sprite__GetDefaultCollider write DQE2_Sprite__PutDefaultCollider;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetDefaultAlpha(Self:DQE2_Sprite):byte;',
       @DQE2_Sprite__GetDefaultAlpha, true);
  RegisterMethod(DQE2_Sprite,
       'procedure DQE2_Sprite__PutDefaultAlpha(Self:DQE2_Sprite;const Value: byte);',
       @DQE2_Sprite__PutDefaultAlpha, true);
  RegisterProperty(DQE2_Sprite,
       'property DefaultAlpha:byte read DQE2_Sprite__GetDefaultAlpha write DQE2_Sprite__PutDefaultAlpha;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetDefaultAnimSpeed(Self:DQE2_Sprite):ShortInt;',
       @DQE2_Sprite__GetDefaultAnimSpeed, true);
  RegisterMethod(DQE2_Sprite,
       'procedure DQE2_Sprite__PutDefaultAnimSpeed(Self:DQE2_Sprite;const Value: ShortInt);',
       @DQE2_Sprite__PutDefaultAnimSpeed, true);
  RegisterProperty(DQE2_Sprite,
       'property DefaultAnimSpeed:ShortInt read DQE2_Sprite__GetDefaultAnimSpeed write DQE2_Sprite__PutDefaultAnimSpeed;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetSingleFrame(Self:DQE2_Sprite):boolean;',
       @DQE2_Sprite__GetSingleFrame, true);
  RegisterProperty(DQE2_Sprite,
       'property SingleFrame:boolean read DQE2_Sprite__GetSingleFrame;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetImages(Self:DQE2_Sprite):TAsphyreImages;',
       @DQE2_Sprite__GetImages, true);
  RegisterProperty(DQE2_Sprite,
       'property Images:TAsphyreImages read DQE2_Sprite__GetImages;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetThumbnail(Self:DQE2_Sprite):TBitmap;',
       @DQE2_Sprite__GetThumbnail, true);
  RegisterProperty(DQE2_Sprite,
       'property Thumbnail:TBitmap read DQE2_Sprite__GetThumbnail;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetLoaded(Self:DQE2_Sprite):Boolean;',
       @DQE2_Sprite__GetLoaded, true);
  RegisterProperty(DQE2_Sprite,
       'property Loaded:Boolean read DQE2_Sprite__GetLoaded;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetTransparentColor(Self:DQE2_Sprite):TColor;',
       @DQE2_Sprite__GetTransparentColor, true);
  RegisterProperty(DQE2_Sprite,
       'property TransparentColor:TColor read DQE2_Sprite__GetTransparentColor;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetTimesUsed(Self:DQE2_Sprite):integer;',
       @DQE2_Sprite__GetTimesUsed, true);
  RegisterProperty(DQE2_Sprite,
       'property TimesUsed:integer read DQE2_Sprite__GetTimesUsed;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetINI(Self:DQE2_Sprite):TIniFile;',
       @DQE2_Sprite__GetINI, true);
  RegisterProperty(DQE2_Sprite,
       'property INI:TIniFile read DQE2_Sprite__GetINI;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetShortName(Self:DQE2_Sprite):string;',
       @DQE2_Sprite__GetShortName, true);
  RegisterProperty(DQE2_Sprite,
       'property ShortName:string read DQE2_Sprite__GetShortName;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetHeight(Self:DQE2_Sprite):Word;',
       @DQE2_Sprite__GetHeight, true);
  RegisterProperty(DQE2_Sprite,
       'property Height:Word read DQE2_Sprite__GetHeight;');
  RegisterMethod(DQE2_Sprite,
       'function DQE2_Sprite__GetWidth(Self:DQE2_Sprite):Word;',
       @DQE2_Sprite__GetWidth, true);
  RegisterProperty(DQE2_Sprite,
       'property Width:Word read DQE2_Sprite__GetWidth;');
  RegisterMethod(DQE2_Sprite,
       'constructor Create(Collection:TCollection);override;',
       @DQE2_Sprite.Create);
  RegisterMethod(DQE2_Sprite,
       'destructor Destroy;override;',
       @DQE2_Sprite.Destroy);
  RegisterStdMethodEx(DQE2_Sprite,'Prepare',DQE2_Sprite_Prepare,1,[typeSTRING,typeBOOLEAN]);
  RegisterStdMethodEx(DQE2_Sprite,'Load',DQE2_Sprite_Load,0,[typeVARIANT]);
  // End of class DQE2_Sprite
  // Begin of class DQE2_Graphical
  RegisterClassType(DQE2_Graphical, H);
  RegisterMethod(DQE2_Graphical,
       'constructor Create(Collection:TCollection);override;',
       @DQE2_Graphical.Create);
  RegisterMethod(DQE2_Graphical,
       'destructor Destroy;override;',
       @DQE2_Graphical.Destroy);
  RegisterStdMethodEx(DQE2_Graphical,'SaveState',DQE2_Graphical_SaveState,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Graphical,'LoadState',DQE2_Graphical_LoadState,0,[typeVARIANT]);
  RegisterMethod(DQE2_Graphical,
       'function DQE2_Graphical__GetSprite(Self:DQE2_Graphical):DQE2_Sprite;',
       @DQE2_Graphical__GetSprite, true);
  RegisterMethod(DQE2_Graphical,
       'procedure DQE2_Graphical__PutSprite(Self:DQE2_Graphical;const Value: DQE2_Sprite);',
       @DQE2_Graphical__PutSprite, true);
  RegisterProperty(DQE2_Graphical,
       'property Sprite:DQE2_Sprite read DQE2_Graphical__GetSprite write DQE2_Graphical__PutSprite;');
  RegisterMethod(DQE2_Graphical,
       'function DQE2_Graphical__GetState(Self:DQE2_Graphical):DQE2_ObjectState;',
       @DQE2_Graphical__GetState, true);
  RegisterMethod(DQE2_Graphical,
       'procedure DQE2_Graphical__PutState(Self:DQE2_Graphical;const Value: DQE2_ObjectState);',
       @DQE2_Graphical__PutState, true);
  RegisterProperty(DQE2_Graphical,
       'property State:DQE2_ObjectState read DQE2_Graphical__GetState write DQE2_Graphical__PutState;');
  RegisterStdMethodEx(DQE2_Graphical,'Step',DQE2_Graphical_Step,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Graphical,'PixelCollision',DQE2_Graphical_PixelCollision,2,[typeINTEGER,typeINTEGER,typeBOOLEAN]);
  // End of class DQE2_Graphical
  // Begin of class DQE2_List
  RegisterClassType(DQE2_List, H);
  RegisterMethod(DQE2_List,
       'constructor Create(ItemClass: TCollectionItemClass);',
       @DQE2_List.Create);
  RegisterMethod(DQE2_List,
       'function Add:DQE2_Dummy;',
       @DQE2_List.Add);
  RegisterMethod(DQE2_List,
       'function FindByName(Name: string): DQE2_Dummy;',
       @DQE2_List.FindByName);
  RegisterMethod(DQE2_List,
       'function DQE2_List__GetItems(Self:DQE2_List;Index:Integer):TCollectionItem;',
       @DQE2_List__GetItems, true);
  RegisterMethod(DQE2_List,
       'procedure DQE2_List__PutItems(Self:DQE2_List;Index:Integer;const Value: TCollectionItem);',
       @DQE2_List__PutItems, true);
  RegisterProperty(DQE2_List,
       'property Items[Index:Integer]:TCollectionItem read DQE2_List__GetItems write DQE2_List__PutItems;default;');
  // End of class DQE2_List
  // Begin of class DQE2_Zone
  RegisterClassType(DQE2_Zone, H);
  RegisterStdMethod(DQE2_Zone,'SetNewPos',DQE2_Zone_SetNewPos,4);
  RegisterMethod(DQE2_Zone,
       'constructor Create(Collection: TCollection;L,T,R,B:Word);',
       @DQE2_Zone.Create);
  RegisterMethod(DQE2_Zone,
       'destructor Destroy;override;',
       @DQE2_Zone.Destroy);
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetColor(Self:DQE2_Zone):TColor;',
       @DQE2_Zone__GetColor, true);
  RegisterMethod(DQE2_Zone,
       'procedure DQE2_Zone__PutColor(Self:DQE2_Zone;const Value: TColor);',
       @DQE2_Zone__PutColor, true);
  RegisterProperty(DQE2_Zone,
       'property Color:TColor read DQE2_Zone__GetColor write DQE2_Zone__PutColor;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetLeft(Self:DQE2_Zone):word;',
       @DQE2_Zone__GetLeft, true);
  RegisterProperty(DQE2_Zone,
       'property Left:word read DQE2_Zone__GetLeft;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetTop(Self:DQE2_Zone):word;',
       @DQE2_Zone__GetTop, true);
  RegisterProperty(DQE2_Zone,
       'property Top:word read DQE2_Zone__GetTop;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetBottom(Self:DQE2_Zone):word;',
       @DQE2_Zone__GetBottom, true);
  RegisterProperty(DQE2_Zone,
       'property Bottom:word read DQE2_Zone__GetBottom;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetRight(Self:DQE2_Zone):word;',
       @DQE2_Zone__GetRight, true);
  RegisterProperty(DQE2_Zone,
       'property Right:word read DQE2_Zone__GetRight;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetHeight(Self:DQE2_Zone):word;',
       @DQE2_Zone__GetHeight, true);
  RegisterProperty(DQE2_Zone,
       'property Height:word read DQE2_Zone__GetHeight;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetWidth(Self:DQE2_Zone):word;',
       @DQE2_Zone__GetWidth, true);
  RegisterProperty(DQE2_Zone,
       'property Width:word read DQE2_Zone__GetWidth;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetStartScripts(Self:DQE2_Zone):TList;',
       @DQE2_Zone__GetStartScripts, true);
  RegisterProperty(DQE2_Zone,
       'property StartScripts:TList read DQE2_Zone__GetStartScripts;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetObjects(Self:DQE2_Zone):TList;',
       @DQE2_Zone__GetObjects, true);
  RegisterProperty(DQE2_Zone,
       'property Objects:TList read DQE2_Zone__GetObjects;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetThumbnail(Self:DQE2_Zone):TBitmap;',
       @DQE2_Zone__GetThumbnail, true);
  RegisterProperty(DQE2_Zone,
       'property Thumbnail:TBitmap read DQE2_Zone__GetThumbnail;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetDisableEnvironment(Self:DQE2_Zone):boolean;',
       @DQE2_Zone__GetDisableEnvironment, true);
  RegisterMethod(DQE2_Zone,
       'procedure DQE2_Zone__PutDisableEnvironment(Self:DQE2_Zone;const Value: boolean);',
       @DQE2_Zone__PutDisableEnvironment, true);
  RegisterProperty(DQE2_Zone,
       'property DisableEnvironment:boolean read DQE2_Zone__GetDisableEnvironment write DQE2_Zone__PutDisableEnvironment;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetEnvironment(Self:DQE2_Zone):TGPStore;',
       @DQE2_Zone__GetEnvironment, true);
  RegisterMethod(DQE2_Zone,
       'procedure DQE2_Zone__PutEnvironment(Self:DQE2_Zone;const Value: TGPStore);',
       @DQE2_Zone__PutEnvironment, true);
  RegisterProperty(DQE2_Zone,
       'property Environment:TGPStore read DQE2_Zone__GetEnvironment write DQE2_Zone__PutEnvironment;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetTagRect(Self:DQE2_Zone):TRect;',
       @DQE2_Zone__GetTagRect, true);
  RegisterMethod(DQE2_Zone,
       'procedure DQE2_Zone__PutTagRect(Self:DQE2_Zone;const Value: TRect);',
       @DQE2_Zone__PutTagRect, true);
  RegisterProperty(DQE2_Zone,
       'property TagRect:TRect read DQE2_Zone__GetTagRect write DQE2_Zone__PutTagRect;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetPreRenderZone(Self:DQE2_Zone):DQE2_Zone;',
       @DQE2_Zone__GetPreRenderZone, true);
  RegisterMethod(DQE2_Zone,
       'procedure DQE2_Zone__PutPreRenderZone(Self:DQE2_Zone;const Value: DQE2_Zone);',
       @DQE2_Zone__PutPreRenderZone, true);
  RegisterProperty(DQE2_Zone,
       'property PreRenderZone:DQE2_Zone read DQE2_Zone__GetPreRenderZone write DQE2_Zone__PutPreRenderZone;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetBackSpeed(Self:DQE2_Zone):Smallint;',
       @DQE2_Zone__GetBackSpeed, true);
  RegisterMethod(DQE2_Zone,
       'procedure DQE2_Zone__PutBackSpeed(Self:DQE2_Zone;const Value: Smallint);',
       @DQE2_Zone__PutBackSpeed, true);
  RegisterProperty(DQE2_Zone,
       'property BackSpeed:Smallint read DQE2_Zone__GetBackSpeed write DQE2_Zone__PutBackSpeed;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetBackOffsetX(Self:DQE2_Zone):Smallint;',
       @DQE2_Zone__GetBackOffsetX, true);
  RegisterMethod(DQE2_Zone,
       'procedure DQE2_Zone__PutBackOffsetX(Self:DQE2_Zone;const Value: Smallint);',
       @DQE2_Zone__PutBackOffsetX, true);
  RegisterProperty(DQE2_Zone,
       'property BackOffsetX:Smallint read DQE2_Zone__GetBackOffsetX write DQE2_Zone__PutBackOffsetX;');
  RegisterMethod(DQE2_Zone,
       'function DQE2_Zone__GetBackOffsetY(Self:DQE2_Zone):Smallint;',
       @DQE2_Zone__GetBackOffsetY, true);
  RegisterMethod(DQE2_Zone,
       'procedure DQE2_Zone__PutBackOffsetY(Self:DQE2_Zone;const Value: Smallint);',
       @DQE2_Zone__PutBackOffsetY, true);
  RegisterProperty(DQE2_Zone,
       'property BackOffsetY:Smallint read DQE2_Zone__GetBackOffsetY write DQE2_Zone__PutBackOffsetY;');
  // End of class DQE2_Zone
  // Begin of class DQE2_Item
  RegisterClassType(DQE2_Item, H);
  RegisterMethod(DQE2_Item,
       'constructor Create(Collection: TCollection);override;',
       @DQE2_Item.Create);
  RegisterMethod(DQE2_Item,
       'destructor Destroy;override;',
       @DQE2_Item.Destroy);
  RegisterStdMethodEx(DQE2_Item,'Step',DQE2_Item_Step,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Item,'PutInBag',DQE2_Item_PutInBag,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Item,'Drop',DQE2_Item_Drop,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Item,'BringToFront',DQE2_Item_BringToFront,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Item,'SendToBack',DQE2_Item_SendToBack,0,[typeVARIANT]);
  // End of class DQE2_Item
  // Begin of class DQE2_Scriptable
  RegisterClassType(DQE2_Scriptable, H);
  RegisterMethod(DQE2_Scriptable,
       'function DQE2_Scriptable__GetChanged(Self:DQE2_Scriptable):boolean;',
       @DQE2_Scriptable__GetChanged, true);
  RegisterProperty(DQE2_Scriptable,
       'property Changed:boolean read DQE2_Scriptable__GetChanged;');
  RegisterMethod(DQE2_Scriptable,
       'function DQE2_Scriptable__GetLastError(Self:DQE2_Scriptable):DQE2_Error;',
       @DQE2_Scriptable__GetLastError, true);
  RegisterProperty(DQE2_Scriptable,
       'property LastError:DQE2_Error read DQE2_Scriptable__GetLastError;');
  RegisterMethod(DQE2_Scriptable,
       'function DQE2_Scriptable__GetDefaultIgnore(Self:DQE2_Scriptable):boolean;',
       @DQE2_Scriptable__GetDefaultIgnore, true);
  RegisterMethod(DQE2_Scriptable,
       'procedure DQE2_Scriptable__PutDefaultIgnore(Self:DQE2_Scriptable;const Value: boolean);',
       @DQE2_Scriptable__PutDefaultIgnore, true);
  RegisterProperty(DQE2_Scriptable,
       'property DefaultIgnore:boolean read DQE2_Scriptable__GetDefaultIgnore write DQE2_Scriptable__PutDefaultIgnore;');
  RegisterMethod(DQE2_Scriptable,
       'function Compile(AdditionalCode:string=''''):boolean; virtual;',
       @DQE2_Scriptable.Compile);
  RegisterStdMethodEx(DQE2_Scriptable,'Run',DQE2_Scriptable_Run,0,[typeBOOLEAN]);
  RegisterStdMethodEx(DQE2_Scriptable,'Stop',DQE2_Scriptable_Stop,0,[typeVARIANT]);
  RegisterMethod(DQE2_Scriptable,
       'function Resume(NextLine:boolean=false):shortint;virtual;',
       @DQE2_Scriptable.Resume);
  RegisterMethod(DQE2_Scriptable,
       'constructor Create(Collection: TCollection);override;',
       @DQE2_Scriptable.Create);
  RegisterMethod(DQE2_Scriptable,
       'destructor Destroy;override;',
       @DQE2_Scriptable.Destroy);
  RegisterMethod(DQE2_Scriptable,
       'function DQE2_Scriptable__GetBreakpoints(Self:DQE2_Scriptable;Index:Integer):Integer;',
       @DQE2_Scriptable__GetBreakpoints, true);
  RegisterProperty(DQE2_Scriptable,
       'property Breakpoints[Index:Integer]:Integer read DQE2_Scriptable__GetBreakpoints;');
  RegisterStdMethodEx(DQE2_Scriptable,'ClearBreakpoints',DQE2_Scriptable_ClearBreakpoints,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Scriptable,'AddBreakpoint',DQE2_Scriptable_AddBreakpoint,1,[typeINTEGER,typeVARIANT]);
  RegisterStdMethodEx(DQE2_Scriptable,'RemoveBreakpoint',DQE2_Scriptable_RemoveBreakpoint,1,[typeINTEGER,typeVARIANT]);
  RegisterMethod(DQE2_Scriptable,
       'function DQE2_Scriptable__GetBreakpointsCount(Self:DQE2_Scriptable):integer;',
       @DQE2_Scriptable__GetBreakpointsCount, true);
  RegisterProperty(DQE2_Scriptable,
       'property BreakpointsCount:integer read DQE2_Scriptable__GetBreakpointsCount;');
  RegisterMethod(DQE2_Scriptable,
       'function DQE2_Scriptable__GetInDebug(Self:DQE2_Scriptable):boolean;',
       @DQE2_Scriptable__GetInDebug, true);
  RegisterProperty(DQE2_Scriptable,
       'property InDebug:boolean read DQE2_Scriptable__GetInDebug;');
  RegisterMethod(DQE2_Scriptable,
       'procedure GetLocals(VarsList,ValuesList:TStrings);',
       @DQE2_Scriptable.GetLocals);
  RegisterMethod(DQE2_Scriptable,
       'function Eval(Expression:string;out output:Variant):boolean;',
       @DQE2_Scriptable.Eval);
  // End of class DQE2_Scriptable
  // Begin of class DQE2_Script
  RegisterClassType(DQE2_Script, H);
  RegisterMethod(DQE2_Script,
       'function DQE2_Script__GetPassCount(Self:DQE2_Script):integer;',
       @DQE2_Script__GetPassCount, true);
  RegisterProperty(DQE2_Script,
       'property PassCount:integer read DQE2_Script__GetPassCount;');
  RegisterMethod(DQE2_Script,
       'function Compile(AdditionalCode:string=''''):boolean; override;',
       @DQE2_Script.Compile);
  RegisterMethod(DQE2_Script,
       'function Run(AutoStop:boolean=true):boolean;',
       @DQE2_Script.Run);
  RegisterStdMethodEx(DQE2_Script,'Step',DQE2_Script_Step,0,[typeBOOLEAN]);
  RegisterStdMethodEx(DQE2_Script,'Stop',DQE2_Script_Stop,0,[typeVARIANT]);
  RegisterMethod(DQE2_Script,
       'function OnUse(Item:DQE2_Item):boolean;',
       @DQE2_Script.OnUse);
  RegisterStdMethodEx(DQE2_Script,'OnPostRender',DQE2_Script_OnPostRender,0,[typeBOOLEAN]);
  RegisterStdMethodEx(DQE2_Script,'OnPreRender',DQE2_Script_OnPreRender,0,[typeBOOLEAN]);
  RegisterMethod(DQE2_Script,
       'function Resume(NextLine:boolean=false):shortint;override;',
       @DQE2_Script.Resume);
  RegisterMethod(DQE2_Script,
       'constructor Create(Collection: TCollection);override;',
       @DQE2_Script.Create);
  RegisterMethod(DQE2_Script,
       'destructor Destroy;override;',
       @DQE2_Script.Destroy);
  RegisterMethod(DQE2_Script,
       'function DQE2_Script__GetSuspended(Self:DQE2_Script):boolean;',
       @DQE2_Script__GetSuspended, true);
  RegisterMethod(DQE2_Script,
       'procedure DQE2_Script__PutSuspended(Self:DQE2_Script;const Value: boolean);',
       @DQE2_Script__PutSuspended, true);
  RegisterProperty(DQE2_Script,
       'property Suspended:boolean read DQE2_Script__GetSuspended write DQE2_Script__PutSuspended;');
  RegisterStdMethodEx(DQE2_Script,'GetCurrentStdFunctionName',DQE2_Script_GetCurrentStdFunctionName,0,[typeSTRING]);
  // End of class DQE2_Script
  // Begin of class DQE2_Object
  RegisterClassType(DQE2_Object, H);
  RegisterMethod(DQE2_Object,
       'constructor Create(Collection: TCollection;Zone:DQE2_Zone);',
       @DQE2_Object.Create);
  RegisterMethod(DQE2_Object,
       'destructor Destroy;override;',
       @DQE2_Object.Destroy);
  RegisterStdMethodEx(DQE2_Object,'SaveState',DQE2_Object_SaveState,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Object,'LoadState',DQE2_Object_LoadState,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Object,'Step',DQE2_Object_Step,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Object,'SendToBack',DQE2_Object_SendToBack,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Object,'BringToFront',DQE2_Object_BringToFront,0,[typeVARIANT]);
  RegisterMethod(DQE2_Object,
       'function DQE2_Object__GetInZoneIndex(Self:DQE2_Object):integer;',
       @DQE2_Object__GetInZoneIndex, true);
  RegisterProperty(DQE2_Object,
       'property InZoneIndex:integer read DQE2_Object__GetInZoneIndex;');
  RegisterMethod(DQE2_Object,
       'function UpgradeToEntity(TheType:DQE2_EntityType):DQE2_Entity;',
       @DQE2_Object.UpgradeToEntity);
  // End of class DQE2_Object
  // Begin of class DQE2_EntityType
  RegisterClassType(DQE2_EntityType, H);
  RegisterMethod(DQE2_EntityType,
       'function Compile(AdditionalCode:string=''''):boolean;override;',
       @DQE2_EntityType.Compile);
  RegisterMethod(DQE2_EntityType,
       'function Resume(NextLine:boolean=false):shortint;override;',
       @DQE2_EntityType.Resume);
  RegisterStdMethod(DQE2_EntityType,'CreateState',DQE2_EntityType_CreateState,0);
  RegisterMethod(DQE2_EntityType,
       'function DQE2_EntityType__GetCompiled(Self:DQE2_EntityType):boolean;',
       @DQE2_EntityType__GetCompiled, true);
  RegisterProperty(DQE2_EntityType,
       'property Compiled:boolean read DQE2_EntityType__GetCompiled;');
  RegisterMethod(DQE2_EntityType,
       'constructor Create(Collection: TCollection);override;',
       @DQE2_EntityType.Create);
  RegisterMethod(DQE2_EntityType,
       'destructor Destroy;override;',
       @DQE2_EntityType.Destroy);
  // End of class DQE2_EntityType
  // Begin of class DQE2_Entity
  RegisterClassType(DQE2_Entity, H);
  RegisterMethod(DQE2_Entity,
       'function DQE2_Entity__GetPassCount(Self:DQE2_Entity):integer;',
       @DQE2_Entity__GetPassCount, true);
  RegisterProperty(DQE2_Entity,
       'property PassCount:integer read DQE2_Entity__GetPassCount;');
  RegisterMethod(DQE2_Entity,
       'function DQE2_Entity__GetRunning(Self:DQE2_Entity):boolean;',
       @DQE2_Entity__GetRunning, true);
  RegisterProperty(DQE2_Entity,
       'property Running:boolean read DQE2_Entity__GetRunning;');
  RegisterStdMethodEx(DQE2_Entity,'Run',DQE2_Entity_Run,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Entity,'Step',DQE2_Entity_Step,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Entity,'Die',DQE2_Entity_Die,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Entity,'Stop',DQE2_Entity_Stop,0,[typeVARIANT]);
  RegisterMethod(DQE2_Entity,
       'function DQE2_Entity__GetScriptState(Self:DQE2_Entity):TPAXScriptObject;',
       @DQE2_Entity__GetScriptState, true);
  RegisterProperty(DQE2_Entity,
       'property ScriptState:TPAXScriptObject read DQE2_Entity__GetScriptState;');
  RegisterMethod(DQE2_Entity,
       'function DowngradeToObject:DQE2_Object;',
       @DQE2_Entity.DowngradeToObject);
  RegisterMethod(DQE2_Entity,
       'constructor Create(Collection: TCollection;Zone:DQE2_Zone;TheType:DQE2_EntityType);',
       @DQE2_Entity.Create);
  RegisterMethod(DQE2_Entity,
       'destructor Destroy;override;',
       @DQE2_Entity.Destroy);
  RegisterStdMethodEx(DQE2_Entity,'SaveState',DQE2_Entity_SaveState,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Entity,'LoadState',DQE2_Entity_LoadState,0,[typeVARIANT]);
  // End of class DQE2_Entity
  // Begin of class DQE2_Effect
  RegisterClassType(DQE2_Effect, H);
  RegisterMethod(DQE2_Effect,
       'constructor Create(Collection: TCollection);override;',
       @DQE2_Effect.Create);
  RegisterMethod(DQE2_Effect,
       'destructor Destroy;override;',
       @DQE2_Effect.Destroy);
  // End of class DQE2_Effect
  // Begin of class DQE2_Bag
  RegisterClassType(DQE2_Bag, H);
  RegisterMethod(DQE2_Bag,
       'destructor Destroy;override;',
       @DQE2_Bag.Destroy);
  RegisterStdMethodEx(DQE2_Bag,'Run',DQE2_Bag_Run,1,[typeINTEGER,typeVARIANT]);
  RegisterStdMethodEx(DQE2_Bag,'Step',DQE2_Bag_Step,0,[typeINTEGER]);
  RegisterStdMethodEx(DQE2_Bag,'Stop',DQE2_Bag_Stop,0,[typeVARIANT]);
  RegisterMethod(DQE2_Bag,
       'function DQE2_Bag__GetItems(Self:DQE2_Bag):TList;',
       @DQE2_Bag__GetItems, true);
  RegisterProperty(DQE2_Bag,
       'property Items:TList read DQE2_Bag__GetItems;');
  // End of class DQE2_Bag
  // Begin of class DQE2_Player
  RegisterClassType(DQE2_Player, H);
  RegisterMethod(DQE2_Player,
       'constructor Create;',
       @DQE2_Player.Create);
  RegisterMethod(DQE2_Player,
       'destructor Destroy;override;',
       @DQE2_Player.Destroy);
  RegisterStdMethodEx(DQE2_Player,'Step',DQE2_Player_Step,0,[typeVARIANT]);
  RegisterMethod(DQE2_Player,
       'function DQE2_Player__GetBag(Self:DQE2_Player):DQE2_Bag;',
       @DQE2_Player__GetBag, true);
  RegisterProperty(DQE2_Player,
       'property Bag:DQE2_Bag read DQE2_Player__GetBag;');
  RegisterMethod(DQE2_Player,
       'function DQE2_Player__GetFootHold(Self:DQE2_Player):DQE2_Object;',
       @DQE2_Player__GetFootHold, true);
  RegisterProperty(DQE2_Player,
       'property FootHold:DQE2_Object read DQE2_Player__GetFootHold;');
  RegisterMethod(DQE2_Player,
       'function UseItem(Item:DQE2_Item):boolean;',
       @DQE2_Player.UseItem);
  RegisterMethod(DQE2_Player,
       'procedure MoveToZone(NewZone:DQE2_Zone;NewX,NewY:Smallint);',
       @DQE2_Player.MoveToZone);
  RegisterMethod(DQE2_Player,
       'function CollideWith(obj:DQE2_Graphical):boolean;',
       @DQE2_Player.CollideWith);
  // End of class DQE2_Player
  // Begin of class DQE2_Dialog
  RegisterClassType(DQE2_Dialog, H);
  RegisterMethod(DQE2_Dialog,
       'function Compile(AdditionalCode:string=''''):boolean;override;',
       @DQE2_Dialog.Compile);
  RegisterStdMethodEx(DQE2_Dialog,'Run',DQE2_Dialog_Run,0,[typeBOOLEAN]);
  RegisterStdMethodEx(DQE2_Dialog,'Step',DQE2_Dialog_Step,0,[typeVARIANT]);
  RegisterMethod(DQE2_Dialog,
       'constructor Create(Collection: TCollection);override;',
       @DQE2_Dialog.Create);
  RegisterMethod(DQE2_Dialog,
       'destructor Destroy;override;',
       @DQE2_Dialog.Destroy);
  RegisterMethod(DQE2_Dialog,
       'function DQE2_Dialog__GetQuestions(Self:DQE2_Dialog):TStringList;',
       @DQE2_Dialog__GetQuestions, true);
  RegisterProperty(DQE2_Dialog,
       'property Questions:TStringList read DQE2_Dialog__GetQuestions;');
  RegisterMethod(DQE2_Dialog,
       'function DQE2_Dialog__GetAnswersCount(Self:DQE2_Dialog):integer;',
       @DQE2_Dialog__GetAnswersCount, true);
  RegisterProperty(DQE2_Dialog,
       'property AnswersCount:integer read DQE2_Dialog__GetAnswersCount;');
  RegisterMethod(DQE2_Dialog,
       'function DQE2_Dialog__GetAnswersShort(Self:DQE2_Dialog;Index:integer):string;',
       @DQE2_Dialog__GetAnswersShort, true);
  RegisterMethod(DQE2_Dialog,
       'procedure DQE2_Dialog__PutAnswersShort(Self:DQE2_Dialog;Index:integer;const Value: string);',
       @DQE2_Dialog__PutAnswersShort, true);
  RegisterProperty(DQE2_Dialog,
       'property AnswersShort[Index:integer]:string read DQE2_Dialog__GetAnswersShort write DQE2_Dialog__PutAnswersShort;');
  RegisterMethod(DQE2_Dialog,
       'function DQE2_Dialog__GetAnswersLong(Self:DQE2_Dialog;Index:integer):string;',
       @DQE2_Dialog__GetAnswersLong, true);
  RegisterMethod(DQE2_Dialog,
       'procedure DQE2_Dialog__PutAnswersLong(Self:DQE2_Dialog;Index:integer;const Value: string);',
       @DQE2_Dialog__PutAnswersLong, true);
  RegisterProperty(DQE2_Dialog,
       'property AnswersLong[Index:integer]:string read DQE2_Dialog__GetAnswersLong write DQE2_Dialog__PutAnswersLong;');
  RegisterStdMethodEx(DQE2_Dialog,'Stop',DQE2_Dialog_Stop,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_Dialog,'AddAnswer',DQE2_Dialog_AddAnswer,2,[typeSTRING,typeSTRING,typeINTEGER]);
  RegisterStdMethodEx(DQE2_Dialog,'DeleteAnswer',DQE2_Dialog_DeleteAnswer,1,[typeINTEGER,typeINTEGER]);
  RegisterMethod(DQE2_Dialog,
       'function Resume(NextLine:boolean=false):shortint;override;',
       @DQE2_Dialog.Resume);
  // End of class DQE2_Dialog
  // Begin of class DQE2_Font
  RegisterClassType(DQE2_Font, H);
  RegisterMethod(DQE2_Font,
       'function DQE2_Font__GetFont(Self:DQE2_Font):TAsphyreFontAlt;',
       @DQE2_Font__GetFont, true);
  RegisterProperty(DQE2_Font,
       'property Font:TAsphyreFontAlt read DQE2_Font__GetFont;');
  RegisterMethod(DQE2_Font,
       'constructor Create(Collection: TCollection);override;',
       @DQE2_Font.Create);
  RegisterMethod(DQE2_Font,
       'destructor Destroy;override;',
       @DQE2_Font.Destroy);
  RegisterMethod(DQE2_Font,
       'function TextOut(X,Y:Integer;Text:string;Color:Cardinal;W:Integer=0;H:Integer=0):boolean;',
       @DQE2_Font.TextOut);
  // End of class DQE2_Font
  RegisterRTTIType(TypeInfo(DQE2_WorldState));
  // Begin of class DQE2_World
  RegisterClassType(DQE2_World, H);
  RegisterStdMethodEx(DQE2_World,'MakeCache',DQE2_World_MakeCache,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_World,'DeleteCache',DQE2_World_DeleteCache,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_World,'SaveThumbnails',DQE2_World_SaveThumbnails,0,[typeVARIANT]);
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetCurrentScript(Self:DQE2_World):DQE2_Script;',
       @DQE2_World__GetCurrentScript, true);
  RegisterProperty(DQE2_World,
       'property CurrentScript:DQE2_Script read DQE2_World__GetCurrentScript;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetCurrentDialog(Self:DQE2_World):DQE2_Dialog;',
       @DQE2_World__GetCurrentDialog, true);
  RegisterProperty(DQE2_World,
       'property CurrentDialog:DQE2_Dialog read DQE2_World__GetCurrentDialog;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetCurrentEntity(Self:DQE2_World):DQE2_Entity;',
       @DQE2_World__GetCurrentEntity, true);
  RegisterProperty(DQE2_World,
       'property CurrentEntity:DQE2_Entity read DQE2_World__GetCurrentEntity;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetRunningScripts(Self:DQE2_World):TList;',
       @DQE2_World__GetRunningScripts, true);
  RegisterProperty(DQE2_World,
       'property RunningScripts:TList read DQE2_World__GetRunningScripts;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetState(Self:DQE2_World):DQE2_WorldState;',
       @DQE2_World__GetState, true);
  RegisterProperty(DQE2_World,
       'property State:DQE2_WorldState read DQE2_World__GetState;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetOffsetX(Self:DQE2_World):Integer;',
       @DQE2_World__GetOffsetX, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutOffsetX(Self:DQE2_World;const Value: Integer);',
       @DQE2_World__PutOffsetX, true);
  RegisterProperty(DQE2_World,
       'property OffsetX:Integer read DQE2_World__GetOffsetX write DQE2_World__PutOffsetX;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetOffsetY(Self:DQE2_World):Integer;',
       @DQE2_World__GetOffsetY, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutOffsetY(Self:DQE2_World;const Value: Integer);',
       @DQE2_World__PutOffsetY, true);
  RegisterProperty(DQE2_World,
       'property OffsetY:Integer read DQE2_World__GetOffsetY write DQE2_World__PutOffsetY;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetDevice(Self:DQE2_World):TAsphyreDevice;',
       @DQE2_World__GetDevice, true);
  RegisterProperty(DQE2_World,
       'property Device:TAsphyreDevice read DQE2_World__GetDevice;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetCanvas(Self:DQE2_World):TAsphyreCanvas;',
       @DQE2_World__GetCanvas, true);
  RegisterProperty(DQE2_World,
       'property Canvas:TAsphyreCanvas read DQE2_World__GetCanvas;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetObjects(Self:DQE2_World):DQE2_List;',
       @DQE2_World__GetObjects, true);
  RegisterProperty(DQE2_World,
       'property Objects:DQE2_List read DQE2_World__GetObjects;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetSprites(Self:DQE2_World):DQE2_List;',
       @DQE2_World__GetSprites, true);
  RegisterProperty(DQE2_World,
       'property Sprites:DQE2_List read DQE2_World__GetSprites;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetZones(Self:DQE2_World):DQE2_List;',
       @DQE2_World__GetZones, true);
  RegisterProperty(DQE2_World,
       'property Zones:DQE2_List read DQE2_World__GetZones;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetDialogs(Self:DQE2_World):DQE2_List;',
       @DQE2_World__GetDialogs, true);
  RegisterProperty(DQE2_World,
       'property Dialogs:DQE2_List read DQE2_World__GetDialogs;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetScripts(Self:DQE2_World):DQE2_List;',
       @DQE2_World__GetScripts, true);
  RegisterProperty(DQE2_World,
       'property Scripts:DQE2_List read DQE2_World__GetScripts;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetItems(Self:DQE2_World):DQE2_List;',
       @DQE2_World__GetItems, true);
  RegisterProperty(DQE2_World,
       'property Items:DQE2_List read DQE2_World__GetItems;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetFonts(Self:DQE2_World):DQE2_List;',
       @DQE2_World__GetFonts, true);
  RegisterProperty(DQE2_World,
       'property Fonts:DQE2_List read DQE2_World__GetFonts;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetEffects(Self:DQE2_World):DQE2_List;',
       @DQE2_World__GetEffects, true);
  RegisterProperty(DQE2_World,
       'property Effects:DQE2_List read DQE2_World__GetEffects;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetEntityTypes(Self:DQE2_World):DQE2_List;',
       @DQE2_World__GetEntityTypes, true);
  RegisterProperty(DQE2_World,
       'property EntityTypes:DQE2_List read DQE2_World__GetEntityTypes;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetCurrentZone(Self:DQE2_World):DQE2_Zone;',
       @DQE2_World__GetCurrentZone, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutCurrentZone(Self:DQE2_World;const Value: DQE2_Zone);',
       @DQE2_World__PutCurrentZone, true);
  RegisterProperty(DQE2_World,
       'property CurrentZone:DQE2_Zone read DQE2_World__GetCurrentZone write DQE2_World__PutCurrentZone;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetImageList(Self:DQE2_World):TStringList;',
       @DQE2_World__GetImageList, true);
  RegisterProperty(DQE2_World,
       'property ImageList:TStringList read DQE2_World__GetImageList;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetPlayer(Self:DQE2_World):DQE2_Player;',
       @DQE2_World__GetPlayer, true);
  RegisterProperty(DQE2_World,
       'property Player:DQE2_Player read DQE2_World__GetPlayer;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetMusicPlayer(Self:DQE2_World):TGamePlayer;',
       @DQE2_World__GetMusicPlayer, true);
  RegisterProperty(DQE2_World,
       'property MusicPlayer:TGamePlayer read DQE2_World__GetMusicPlayer;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetScreenWidth(Self:DQE2_World):word;',
       @DQE2_World__GetScreenWidth, true);
  RegisterProperty(DQE2_World,
       'property ScreenWidth:word read DQE2_World__GetScreenWidth;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetScreenHeight(Self:DQE2_World):word;',
       @DQE2_World__GetScreenHeight, true);
  RegisterProperty(DQE2_World,
       'property ScreenHeight:word read DQE2_World__GetScreenHeight;');
  RegisterMethod(DQE2_World,
       'procedure SetResolution(Width,Height:word;Fullscreen:boolean=false);',
       @DQE2_World.SetResolution);
  RegisterMethod(DQE2_World,
       'constructor Create(MainWindow:HWND;LoadThumnails:boolean);',
       @DQE2_World.Create);
  RegisterMethod(DQE2_World,
       'destructor Destroy;override;',
       @DQE2_World.Destroy);
  RegisterStdMethodEx(DQE2_World,'LoadSkin',DQE2_World_LoadSkin,1,[typeSTRING,typeVARIANT]);
  RegisterStdMethodEx(DQE2_World,'Step',DQE2_World_Step,0,[typeVARIANT]);
  RegisterMethod(DQE2_World,
       'function PutEffectByName(Name:string;X,Y:SmallInt;Loops:byte;Pong:boolean):DQE2_Effect;',
       @DQE2_World.PutEffectByName);
  RegisterMethod(DQE2_World,
       'function PutEffect(Sprite:DQE2_Sprite;X,Y:SmallInt;Loops:byte;Pong:boolean):DQE2_Effect;',
       @DQE2_World.PutEffect);
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeyboardState(Self:DQE2_World):TKeyboardState;',
       @DQE2_World__GetKeyboardState, true);
  RegisterProperty(DQE2_World,
       'property KeyboardState:TKeyboardState read DQE2_World__GetKeyboardState;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetJoyInfo(Self:DQE2_World):TJoyInfoEx;',
       @DQE2_World__GetJoyInfo, true);
  RegisterProperty(DQE2_World,
       'property JoyInfo:TJoyInfoEx read DQE2_World__GetJoyInfo;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetSharedDir(Self:DQE2_World):string;',
       @DQE2_World__GetSharedDir, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutSharedDir(Self:DQE2_World;const Value: string);',
       @DQE2_World__PutSharedDir, true);
  RegisterProperty(DQE2_World,
       'property SharedDir:string read DQE2_World__GetSharedDir write DQE2_World__PutSharedDir;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeyUp(Self:DQE2_World):boolean;',
       @DQE2_World__GetKeyUp, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutKeyUp(Self:DQE2_World;const Value: boolean);',
       @DQE2_World__PutKeyUp, true);
  RegisterProperty(DQE2_World,
       'property KeyUp:boolean read DQE2_World__GetKeyUp write DQE2_World__PutKeyUp;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeyDown(Self:DQE2_World):boolean;',
       @DQE2_World__GetKeyDown, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutKeyDown(Self:DQE2_World;const Value: boolean);',
       @DQE2_World__PutKeyDown, true);
  RegisterProperty(DQE2_World,
       'property KeyDown:boolean read DQE2_World__GetKeyDown write DQE2_World__PutKeyDown;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeyLeft(Self:DQE2_World):boolean;',
       @DQE2_World__GetKeyLeft, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutKeyLeft(Self:DQE2_World;const Value: boolean);',
       @DQE2_World__PutKeyLeft, true);
  RegisterProperty(DQE2_World,
       'property KeyLeft:boolean read DQE2_World__GetKeyLeft write DQE2_World__PutKeyLeft;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeyRight(Self:DQE2_World):boolean;',
       @DQE2_World__GetKeyRight, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutKeyRight(Self:DQE2_World;const Value: boolean);',
       @DQE2_World__PutKeyRight, true);
  RegisterProperty(DQE2_World,
       'property KeyRight:boolean read DQE2_World__GetKeyRight write DQE2_World__PutKeyRight;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeyFire(Self:DQE2_World):boolean;',
       @DQE2_World__GetKeyFire, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutKeyFire(Self:DQE2_World;const Value: boolean);',
       @DQE2_World__PutKeyFire, true);
  RegisterProperty(DQE2_World,
       'property KeyFire:boolean read DQE2_World__GetKeyFire write DQE2_World__PutKeyFire;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeyCancel(Self:DQE2_World):boolean;',
       @DQE2_World__GetKeyCancel, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutKeyCancel(Self:DQE2_World;const Value: boolean);',
       @DQE2_World__PutKeyCancel, true);
  RegisterProperty(DQE2_World,
       'property KeyCancel:boolean read DQE2_World__GetKeyCancel write DQE2_World__PutKeyCancel;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeyJump(Self:DQE2_World):boolean;',
       @DQE2_World__GetKeyJump, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutKeyJump(Self:DQE2_World;const Value: boolean);',
       @DQE2_World__PutKeyJump, true);
  RegisterProperty(DQE2_World,
       'property KeyJump:boolean read DQE2_World__GetKeyJump write DQE2_World__PutKeyJump;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeysReady(Self:DQE2_World):boolean;',
       @DQE2_World__GetKeysReady, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutKeysReady(Self:DQE2_World;const Value: boolean);',
       @DQE2_World__PutKeysReady, true);
  RegisterProperty(DQE2_World,
       'property KeysReady:boolean read DQE2_World__GetKeysReady write DQE2_World__PutKeysReady;');
  RegisterStdMethodEx(DQE2_World,'Clear',DQE2_World_Clear,1,[typeBOOLEAN,typeVARIANT]);
  RegisterStdMethodEx(DQE2_World,'LoadSprites',DQE2_World_LoadSprites,1,[typeBOOLEAN,typeVARIANT]);
  RegisterStdMethodEx(DQE2_World,'SaveToFile',DQE2_World_SaveToFile,1,[typeSTRING,typeVARIANT]);
  RegisterMethod(DQE2_World,
       'procedure LoadFromFile(FileName:string;DoResume:boolean=false;ChangeShared:boolean=false);',
       @DQE2_World.LoadFromFile);
  RegisterStdMethodEx(DQE2_World,'Build',DQE2_World_Build,2,[typeSTRING,typeSTRING,typeVARIANT]);
  RegisterStdMethodEx(DQE2_World,'Play',DQE2_World_Play,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_World,'Pause',DQE2_World_Pause,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_World,'Stop',DQE2_World_Stop,0,[typeVARIANT]);
  RegisterStdMethodEx(DQE2_World,'PackRunningScripts',DQE2_World_PackRunningScripts,0,[typeVARIANT]);
  RegisterMethod(DQE2_World,
       'procedure PackObjects(Zone:DQE2_Zone);',
       @DQE2_World.PackObjects);
  RegisterStdMethodEx(DQE2_World,'PackItems',DQE2_World_PackItems,0,[typeVARIANT]);
  RegisterStdMethod(DQE2_World,'WriteVar',DQE2_World_WriteVar,2);
  RegisterStdMethod(DQE2_World,'ReadVar',DQE2_World_ReadVar,1);
  RegisterStdMethodEx(DQE2_World,'VarExists',DQE2_World_VarExists,1,[typeSTRING,typeBOOLEAN]);
  RegisterStdMethodEx(DQE2_World,'DeleteVar',DQE2_World_DeleteVar,1,[typeSTRING,typeVARIANT]);
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetSkinName(Self:DQE2_World):string;',
       @DQE2_World__GetSkinName, true);
  RegisterProperty(DQE2_World,
       'property SkinName:string read DQE2_World__GetSkinName;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetVarNames(Self:DQE2_World;Index:integer):string;',
       @DQE2_World__GetVarNames, true);
  RegisterProperty(DQE2_World,
       'property VarNames[Index:integer]:string read DQE2_World__GetVarNames;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetVarValues(Self:DQE2_World;Index:integer):string;',
       @DQE2_World__GetVarValues, true);
  RegisterProperty(DQE2_World,
       'property VarValues[Index:integer]:string read DQE2_World__GetVarValues;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetVarCount(Self:DQE2_World):integer;',
       @DQE2_World__GetVarCount, true);
  RegisterProperty(DQE2_World,
       'property VarCount:integer read DQE2_World__GetVarCount;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetVideoOptions(Self:DQE2_World):DQE2_VideoOptions;',
       @DQE2_World__GetVideoOptions, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutVideoOptions(Self:DQE2_World;const Value: DQE2_VideoOptions);',
       @DQE2_World__PutVideoOptions, true);
  RegisterProperty(DQE2_World,
       'property VideoOptions:DQE2_VideoOptions read DQE2_World__GetVideoOptions write DQE2_World__PutVideoOptions;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetControlOptions(Self:DQE2_World):DQE2_ControlOptions;',
       @DQE2_World__GetControlOptions, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutControlOptions(Self:DQE2_World;const Value: DQE2_ControlOptions);',
       @DQE2_World__PutControlOptions, true);
  RegisterProperty(DQE2_World,
       'property ControlOptions:DQE2_ControlOptions read DQE2_World__GetControlOptions write DQE2_World__PutControlOptions;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetSkinOptions(Self:DQE2_World):DQE2_SkinOptions;',
       @DQE2_World__GetSkinOptions, true);
  RegisterProperty(DQE2_World,
       'property SkinOptions:DQE2_SkinOptions read DQE2_World__GetSkinOptions;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetFontPersonName(Self:DQE2_World):DQE2_Font;',
       @DQE2_World__GetFontPersonName, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutFontPersonName(Self:DQE2_World;const Value: DQE2_Font);',
       @DQE2_World__PutFontPersonName, true);
  RegisterProperty(DQE2_World,
       'property FontPersonName:DQE2_Font read DQE2_World__GetFontPersonName write DQE2_World__PutFontPersonName;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetFontQuestion(Self:DQE2_World):DQE2_Font;',
       @DQE2_World__GetFontQuestion, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutFontQuestion(Self:DQE2_World;const Value: DQE2_Font);',
       @DQE2_World__PutFontQuestion, true);
  RegisterProperty(DQE2_World,
       'property FontQuestion:DQE2_Font read DQE2_World__GetFontQuestion write DQE2_World__PutFontQuestion;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetFontAnswer(Self:DQE2_World):DQE2_Font;',
       @DQE2_World__GetFontAnswer, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutFontAnswer(Self:DQE2_World;const Value: DQE2_Font);',
       @DQE2_World__PutFontAnswer, true);
  RegisterProperty(DQE2_World,
       'property FontAnswer:DQE2_Font read DQE2_World__GetFontAnswer write DQE2_World__PutFontAnswer;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetFontItemName(Self:DQE2_World):DQE2_Font;',
       @DQE2_World__GetFontItemName, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutFontItemName(Self:DQE2_World;const Value: DQE2_Font);',
       @DQE2_World__PutFontItemName, true);
  RegisterProperty(DQE2_World,
       'property FontItemName:DQE2_Font read DQE2_World__GetFontItemName write DQE2_World__PutFontItemName;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetFontItemText(Self:DQE2_World):DQE2_Font;',
       @DQE2_World__GetFontItemText, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutFontItemText(Self:DQE2_World;const Value: DQE2_Font);',
       @DQE2_World__PutFontItemText, true);
  RegisterProperty(DQE2_World,
       'property FontItemText:DQE2_Font read DQE2_World__GetFontItemText write DQE2_World__PutFontItemText;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetINI(Self:DQE2_World):TIniFile;',
       @DQE2_World__GetINI, true);
  RegisterProperty(DQE2_World,
       'property INI:TIniFile read DQE2_World__GetINI;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetCanSave(Self:DQE2_World):boolean;',
       @DQE2_World__GetCanSave, true);
  RegisterProperty(DQE2_World,
       'property CanSave:boolean read DQE2_World__GetCanSave;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetSoundWalk(Self:DQE2_World):TGPMusic;',
       @DQE2_World__GetSoundWalk, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutSoundWalk(Self:DQE2_World;const Value: TGPMusic);',
       @DQE2_World__PutSoundWalk, true);
  RegisterProperty(DQE2_World,
       'property SoundWalk:TGPMusic read DQE2_World__GetSoundWalk write DQE2_World__PutSoundWalk;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetSoundJump(Self:DQE2_World):TGPMusic;',
       @DQE2_World__GetSoundJump, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutSoundJump(Self:DQE2_World;const Value: TGPMusic);',
       @DQE2_World__PutSoundJump, true);
  RegisterProperty(DQE2_World,
       'property SoundJump:TGPMusic read DQE2_World__GetSoundJump write DQE2_World__PutSoundJump;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetSoundWound(Self:DQE2_World):TGPMusic;',
       @DQE2_World__GetSoundWound, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutSoundWound(Self:DQE2_World;const Value: TGPMusic);',
       @DQE2_World__PutSoundWound, true);
  RegisterProperty(DQE2_World,
       'property SoundWound:TGPMusic read DQE2_World__GetSoundWound write DQE2_World__PutSoundWound;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetSoundDie(Self:DQE2_World):TGPMusic;',
       @DQE2_World__GetSoundDie, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutSoundDie(Self:DQE2_World;const Value: TGPMusic);',
       @DQE2_World__PutSoundDie, true);
  RegisterProperty(DQE2_World,
       'property SoundDie:TGPMusic read DQE2_World__GetSoundDie write DQE2_World__PutSoundDie;');
  RegisterStdMethodEx(DQE2_World,'StopAllPlayerSounds',DQE2_World_StopAllPlayerSounds,0,[typeVARIANT]);
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetUseCache(Self:DQE2_World):boolean;',
       @DQE2_World__GetUseCache, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutUseCache(Self:DQE2_World;const Value: boolean);',
       @DQE2_World__PutUseCache, true);
  RegisterProperty(DQE2_World,
       'property UseCache:boolean read DQE2_World__GetUseCache write DQE2_World__PutUseCache;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetGameSpeed(Self:DQE2_World):byte;',
       @DQE2_World__GetGameSpeed, true);
  RegisterMethod(DQE2_World,
       'procedure DQE2_World__PutGameSpeed(Self:DQE2_World;const Value: byte);',
       @DQE2_World__PutGameSpeed, true);
  RegisterProperty(DQE2_World,
       'property GameSpeed:byte read DQE2_World__GetGameSpeed write DQE2_World__PutGameSpeed;');
  RegisterMethod(DQE2_World,
       'function DQE2_World__GetKeyPressed(Self:DQE2_World;Index:Integer):boolean;',
       @DQE2_World__GetKeyPressed, true);
  RegisterProperty(DQE2_World,
       'property KeyPressed[Index:Integer]:boolean read DQE2_World__GetKeyPressed;');
  // End of class DQE2_World
  RegisterConstant('dqe2version', 4, H);
  RegisterConstant('dqe2versionStr', '0.3', H);
  RegisterConstant('FuncRunName', 'Init', H);
  RegisterConstant('FuncStepName', 'Step', H);
  RegisterConstant('FuncUseName', 'OnUse', H);
  RegisterConstant('FuncPreRenderName', 'OnPreRender', H);
  RegisterConstant('FuncPostRenderName', 'OnPostRender', H);
  RegisterConstant('FuncPrepareName', 'Prepare', H);
  RegisterConstant('FuncAnswerName', 'OnAnswer', H);
  RegisterConstant('FuncDieName', 'OnDie', H);
  RegisterConstant('WorldCacheFileName', 'Objects\thumbs.cache', H);
  RegisterConstant('PlayerSpriteDefaultCategory', 'Dizzy', H);
  RegisterConstant('PlayerSpriteDefaultFilename', 'dizzy.gif', H);
  RegisterConstant('DefaultScreenWidth', 640, H);
  RegisterConstant('DefaultScreenHeight', 480, H);
  RegisterConstant('MaxBagItems', 9, H);
  RegisterConstant('MaxDialogAnswers', 5, H);
  RegisterStdRoutineEx('AddAnswer', _AddAnswer,1,[typeINTEGER,typeINTEGER], H);
end;
initialization
  RegisterIMP_DQE2_types;
end.
